#
# Conditional build:
%bcond_with	tests	# perform "make test"
#
%include	/usr/lib/rpm/macros.perl
Summary:	Net::SSLeay - Perl extension for using OpenSSL or SSLeay
Summary(pl.UTF-8):	Net::SSLeay - rozszerzenie Perla do używania OpenSSL lub SSLeay
Name:		perl-Net-SSLeay
Version:	1.48
Release:	1
# same as openssl
License:	Apache-like
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Net/Net-SSLeay-%{version}.tar.gz
# Source0-md5:	4e10d9da28f26732e37807820bf72af5
Patch0:		%{name}-no_zlib.patch
URL:		http://search.cpan.org/dist/Net-SSLeay/
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	openssl-tools >= 0.9.7d
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-MIME-Base64
BuildRequires:	perl-Test-Simple >= 0.60_01
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module offers some high level convinience functions for accessing
web pages on SSL servers, a sslcat() function for writing your own
clients, and finally access to the SSL api of SSLeay/OpenSSL package
so you can write servers or clients for more complicated applications.

%description -l pl.UTF-8
Ten moduł oferuje kilka wygodnych funkcji wysokiego poziomu służących
do dostępu do stron WWW na serwerach SSL, funkcję sslcat() do pisania
własnych klientów, oraz dostęp do API SSL pakietu SSLeay/OpenSSL, co
pozwala na pisanie serwerów lub klientów dla bardziej skomplikowanych
aplikacji.

%prep
%setup -q -n Net-SSLeay-%{version}
%patch0 -p1

%build
echo "n" | %{__perl} Makefile.PL %{_prefix} \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:echo "n" | %{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

install examples/*.{pl,conf} $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__rm} $RPM_BUILD_ROOT%{perl_vendorarch}/Net/SSLeay.pod

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes Credits README
%{perl_vendorarch}/Net/SSLeay.pm
%{perl_vendorarch}/Net/SSLeay
%dir %{perl_vendorarch}/auto/Net/SSLeay
%{perl_vendorarch}/auto/Net/SSLeay/autosplit.ix
%{perl_vendorarch}/auto/Net/SSLeay/*.al
%{perl_vendorarch}/auto/Net/SSLeay/SSLeay.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Net/SSLeay/SSLeay.so
%{_mandir}/man3/Net::SSLeay*.3pm*
%{_examplesdir}/%{name}-%{version}
%changelog
* Thu May 31 2012 Jakub Bogusz <qboosh@pld-linux.org> 06aa4a6
- updated to 1.48
- removed obsolete paths patch

* Sun Jan 22 2012 lisu <lisu@pld-linux.org> 9b6c9db
- rel 5

* Fri Oct 07 2011 lisu <lisu@pld-linux.org> cfa8140
- rel 4

* Sun Jan 30 2011 sparky <sparky@pld-linux.org> 6f9611c
- added no_zlib patch
- updated URL:

* Sun Jan 30 2011 sparky <sparky@pld-linux.org> a7650be
- NEW: don't link with -lz because it isn't used

* Mon Nov 08 2010 shadzik <shadzik@pld-linux.org> cccc69e
- rel 3

* Sat Jun 05 2010 radek <radek@pld-linux.org> 50ed9e7
- release 2

* Sun Apr 11 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 7361098
- up to 1.36

* Sun Apr 11 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> b4d4e81
- release 6

* Fri Mar 13 2009 hawk <hawk@pld-linux.org> e6f1c9a
- release 5

* Sun Mar 02 2008 radek <radek@pld-linux.org> ae8a16d
- release 4, added -network_tests.patch

* Sun Mar 02 2008 radek <radek@pld-linux.org> 9ef6763
- skip network tests

* Sat Feb 09 2008 Jakub Bogusz <qboosh@pld-linux.org> be159a1
- unified License format

* Sat Feb 09 2008 Michał 'Wolvverine' Panasiewicz <wolvverine@pld-linux.org> fe77864
- rel.3

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> 80d0c33
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Mon Sep 17 2007 Jan Rękorajski <baggins@pld-linux.org> 57ba84f
- rel 2

* Sat Mar 17 2007 Jakub Bogusz <qboosh@pld-linux.org> be73148
- updated to 1.30

* Sat Mar 17 2007 Jakub Bogusz <qboosh@pld-linux.org> 049ff34
- generic URL

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> f4eb806
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> e148820
- converted to UTF-8

